module Game {
    export class Hangman {
        game: Phaser.Game;

        constructor() {
            this.game = new Phaser.Game(1920, 1080, Phaser.CANVAS, 'content', {create: this.start, preload: this.preload});
        }

        start() {
            this.game.state.add("TitleScreenState", TitleScreen.TitleScreenState, true);
            this.game.state.add("ChooseDifficultyState", ChooseDifficulty.ChooseDifficultyState, false);
            this.game.state.add("MainGameState", MainGame.MainGameState, false);

            this.game.scale.scaleMode = Phaser.ScaleManager.SHOW_ALL;
            this.game.scale.windowConstraints.bottom = true;
            this.game.scale.pageAlignHorizontally = true;
            this.game.scale.pageAlignVertically = true;
            this.game.scale.refresh();
        }

        preload() {

        }
    }
}


window.onload = () => {
    var game = new Game.Hangman();
};